Customers
Unapprove customer
Unapprove customer
curl --request DELETE \
--url https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{id}/approval/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{id}/approval/"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{id}/approval/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"is_approved": true,
"approved_at": "2023-11-07T05:31:56Z",
"approval_expiration": "2023-12-25",
"approved_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"picture": "<string>"
},
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"picture": "<string>"
},
"custom_fields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": null
}
],
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"billing_email": "jsmith@example.com",
"phone": "",
"company_name": "",
"bigcommerce_customer_group_id": 123,
"bigcommerce_tax_exempt_category": ""
}Authorizations
Path Parameters
Response
200 - application/json
Required string length:
1 - 100Required string length:
1 - 100Required string length:
1 - 254Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
An optional email address to CC on invoices and receipts.
Maximum string length:
50Maximum string length:
255Maximum string length:
255⌘I
Unapprove customer

